Retrieve action types
curl --request GET \
--url https://api.hubapi.com/automation/v4/2027-03-beta/action-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/2027-03-beta/action-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/2027-03-beta/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"actionName": "<string>",
"actionTypeId": "<string>",
"groupId": "<string>",
"inputFieldDefinitions": [
{
"fieldDefinitionType": "SIMPLE",
"isRequired": true,
"name": "<string>",
"type": "bool",
"description": "<string>",
"label": "<string>"
}
],
"objectTypeIds": [
"<string>"
]
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Action types
Retrieve action types
Retrieve a list of available workflow action types. This endpoint can be used to understand the types of actions that can be incorporated into automation workflows, which is useful for developers looking to customize or extend workflow capabilities.
GET
/
automation
/
v4
/
2027-03-beta
/
action-types
Retrieve action types
Last modified on September 9, 2026
Was this page helpful?